<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
</head>

<body>
  <audio id="audio" controls></audio>
  <button onclick="connect()">Listen</button>

  <script src="https://unpkg.com/peerjs@1.0.0/dist/peerjs.min.js"></script>
  <script type="text/javascript">
    const audio = document.getElementById('audio');

    /*function playStream(stream) {
      audio.srcObject = stream;
      audio.play();
    }*/

		function onReceiveAudioStream(stream) {
			audio.srcObject = stream;
			audio.onloadedmetadata = function (e) {
				//console.log('now playing the audio');
				audio.play();
			}
		}

    const broadcasterId = 'broadcaster097SALAMI2';
		function connect() {
			var receiver = new Peer();
      var conn = receiver.connect(broadcasterId);
      conn.on('data', (data) => {
        if (data == 'CLOSE') {
          conn.close();
        }
      });
      conn.on('open', () => {
        conn.send(receiver.id)
      })

      receiver.on('call', function (call) {
				call.answer();
				call.on('stream', function (remoteStream) {
  			  onReceiveAudioStream(remoteStream);
				});
			});
		}

  </script>
</body>
</html>
